Skip to main content
`Ctrl`+`K`

# MFNGetDimensions

Gets the dimension of the subspace used by the solver.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNGetDimensions(MFN mfn,PetscInt *ncv)

Not Collective

## Input Parameter

- mfn - the matrix function solver context

## Output Parameter

- ncv - the maximum dimension of the subspace to be used by the solver

## See Also

MFN: Matrix Function, `MFNSetDimensions()`

## Level

intermediate

## Location

src/mfn/interface/mfnopts.c

## Examples

src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex37.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages